%global namedreltag .Beta3
%global namedversion %{version}%{?namedreltag}

Name:             papaki
Version:          1.0.0
Release:          0.1%{namedversion}%{?dist}
Summary:          JBossWS API
Group:            Development/Libraries
License:          LGPLv2+
URL:              http://www.jboss.org/jbossws

# svn export http://anonsvn.jboss.org/repos/jbossas/projects/annotations/tags/PAPAKI_1_0_0_BETA3/ papaki-1.0.0.Beta3
# find papaki-1.0.0.Beta3 -name '*.jar' -type f -delete
# tar cafJ papaki-1.0.0.Beta3-CLEAN.tar.xz papaki-1.0.0.Beta3
# Jar list: https://gist.github.com/849e6d980ea88b6b09f0
Source0:          %{name}-%{namedversion}-CLEAN.tar.xz

Patch0:           %{name}-%{namedversion}-build.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    ant
BuildRequires:    apache-ivy
BuildRequires:    javassist
BuildRequires:    apiviz
BuildRequires:    jdepend

Requires:         jpackage-utils
Requires:         java
Requires:         javassist

%description
TODO

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%patch0 -p1

mkdir lib/core
mkdir target

for d in "lib/core" "target"; do
  pushd ${d}
    ln -s $(build-classpath javassist) javassist.jar
    ln -s $(build-classpath jboss/apiviz) apiviz.jar
    ln -s $(build-classpath jdepend) jdepend.jar
  popd
done

%build
ant docs

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# JAR
install -pm 644 target/papaki-indexer.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-indexer.jar
install -pm 644 target/papaki-core.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-core.jar

# POM
install -pm 644 maven/indexer/release.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-indexer.pom
install -pm 644 maven/core/release.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-core.pom

# DEPMAP
%add_maven_depmap JPP-%{name}-indexer.pom %{name}-indexer.jar
%add_maven_depmap JPP-%{name}-core.pom %{name}-core.jar

# APIDOCS
cp -rp target/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc README.txt

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Fri Feb 24 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.0-0.1.Beta3
- Initial packaging

